<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <div>
                    <span class="card-title"><i class="ri-git-repository-line"></i> cPanel Hesabınızı Sıfırlayın</span>
                </div>
            </div>
            <div class="card-content">
                <form id="formatForm">
                    <div class="row my-3">
                        <div class="col-12 mb-3">
                            <div class="form-group">
                                <label for="Password2">Şifre Belirleyiniz</label>
                                <div class="form-input-area">
                                    <input type="text" class="form-control set-password2" name="password" id="Password2">
                                    <button class="btn beCreatePassword btn-primary" data-area=".set-password2">{{ __('formatpage_randompass') }}</button>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 mb-3">
                            <div class="form-check form-check-custom form-check-solid">
                                <input type="hidden" name="approval" value="0">
                                <input class="form-check-input" type="checkbox" value="1" name="approval" id="approval" checked="">
                                <label class="form-check-label" for="approval">
                                    Bu işlemler sonucunda cPanel hesabımın silineceğine tüm dosyaların kalıcı olarak silineceğini hiç bir şekilde geri getirilemeyeceğini okudum onaylıyorum!
                                </label>
                            </div>
                        </div>
                        <div class="col-12 row-center row-flex">
                            <a href="#" class="btn btn-primary beCallRequestx" data-method="format" data-form="format">
                                Sıfırla
                            </a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script>
    var wait = false;
    $(".beCallRequestx").on("click",function(){
        if(!wait){
            wait = true;
            var item = $(this);
            var content = item.html();
            item.html('<span class="beSpinner"></span> Lütfen Bekleyiniz!');
            var method = item.data("method");
            var form = item.data("form");
            var data = item.data("data");
            var datacontent = "";
            if(form){
                datacontent = $("#"+form+"Form").serialize()+"&action="+method+"&upid={{ $userproduct['upid'] }}";
            }
            else{
                datacontent = data+"&action="+method+"&upid={{ $userproduct['upid'] }}";
            }
            $.ajax({
                url: "{{ beGetRoute('client.userproduct.userproduct.show.post') }}",
                type: "post",
                data: datacontent,
                dataType: "json",
                crossDomain: true,
                success: function(response){
                    wait = false;
                    item.html(content);
                    if(response.status){
                        $.Toast("Başarılı",response.message,"success");
                        if(response.refresh){
                            setTimeout(function(){
                                location.reload();
                            },1000);
                        }
                    }
                    else{
                        $.Toast("Bir Sorun Oluştu",response.message,"error");
                    }
                }
            });	
            return false;
        }
        else{
            $.Toast("Bir Sorun Oluştu","İşlem devam ediyor lütfen bekleyiniz","error");
        }
    });
</script>